;=====================/=========================================
; SpriteLib Call list/|
;===================/ |=========================================
;**Note that these are not the final addresses. These may change
;before the final version.
;===============================================================
;====================
;Math
;====================
DE_Div_BC            equ 4099h
HL_Div_BC            equ 409Ch
HL_Times_BC          equ 409Fh
DE_Times_BC          equ 40A2h
HL_Div_10            equ 40AEh
HL_Div_C             equ 40B1h
RoundHL_Div_10       equ 410Bh
RoundHL_Div_C        equ 410Eh
HL_Times_A           equ 40CCh
DE_Times_A           equ 40CFh
MP_Divide            equ 4261h
;====================
;Display
;====================
TileMap              equ 40B7h
PutSprite8x8         equ 411Dh
PutSpriteXxY         equ 411Ah
SetSpriteLogic       equ 40E1h
Coordinates          equ 40E4h
DputSprite           equ 40E7h
ConvDSprite          equ 40EAh
LCDToBuffer          equ 4117h
BufferToLCD          equ 412Fh
DrawRectPattern      equ 41B3h
DrawPatternOff       equ 41B6h
DrawPatternOn        equ 41B9h
DrawPatternXOR       equ 41BCh
DrawPatternOnB       equ 41BFh
DrawPatternOffB      equ 41C2h
DrawPatternXORB      equ 41C5h
DrawPatternBBWI      equ 41C8h
DrawRectBBXI         equ 41CBh
DrawRectWBBI         equ 41CEh
DrawRectWBXI         equ 41D1h
PutChar6x8           equ 4213h      ;Inputs: HL points to char/sprite data. Draws data to the LCD at the cursor postion. Does not advance the cursor.
PutDSprite6x8        equ 4216h      ;Inputs: B is the X coordinate (0~15); C is the Y coordinate (0~55); HL points to the sprite data
OutChar8x8           equ 4219h      ;Uses the cursor position to draw an 8x8 sprite on the LCD
PickSprite           equ 421Fh      ;Displays an 8x8 circle if nz or an 8x8 circle with a 2x2 box in the middle if z. H is the X coordinate (0~11) and L is the Y coordinate (0~55). Used at the main menu when checking if hooks are active
zPutPS               equ 41E9h      ;Uses B_Call, displays string following the call.
DispAppName          equ 4222h      ;A is the flash page. Displays the name of an APP located on page A at the cursor position.
DrawSpriteXxY        equ 4228h      ;A is used to jump to the next calls
OverwriteXxY         equ 422Bh      ;c is height; b is width; DE points to data; HL points to where it is drawn
ANDXxY               equ 422Eh      ;""
XORXxY               equ 4231h      ;""
ORXxY                equ 4234h      ;""
PutSprite8x8         equ 4237h      ;HL points to where the sprite is displayed, DE points to the sprite data
PutSprite8xY         equ 423Ah      ;Same as above and B is the height of the sprite
Overwrite8xY         equ 423Dh      ;""
AND8xY               equ 4240h      ;""
XOR8xY               equ 4243h      ;""
OR8xY                equ 4246h      ;""


;====================
;Info
;====================
GetString            equ 4120h
GetStringArc         equ 4123h
End_Of_Number        equ 40EDh
CorrectOffset        equ 40F9h
LocateStr1           equ 40FCh
LocateStr            equ 40F3h
FindVarNameArc       equ 4129h
GetStatsArc          equ 412Ch
FindVar              equ 40FFh
FindVarSym(DE)       equ 4102h
FindVarSym(HL)       equ 4105h
SearchVarBC          equ 4108h
TwoKeys              equ 41EFh      ;Returns a value telling which keys are pressed. A is the scan code (I think that is the right term) and HL is the scancode if two keys are pressed (H and L cannot be read seperately as scancodes).
;====================
;Conversion
;====================
ConvRStr             equ 40F0h
SetXXXXOP1           equ 40A5h
SetXXXXDE            equ 40A8h
LoadIncrement        equ 40D2h
ConvSupplement       equ 40D5h
Conv_OP1             equ 40D8h
ConvDecAtHL          equ 40DBh
GetPixelLoc          equ 4225h      ;B is the pixel X coordinate, C is the pixel Y coordinate. Output: HL points to the byte the coordinate is located on and A has a bit set. Doing OR (hL) \ ld (hl),a will set the pixel. 
;====================
;Movement
;====================
SwapBytes            equ 40F6h
ReadArc              equ 4126h
GetTokAtHL           equ 40C0h
GetHexAtDE           equ 40C3h
TokHex               equ 40C6h
HexTok               equ 40C9h
ASCIIToToken         equ 40DEh
TokenToASCII         equ 40BAh
COP1toOP2            equ 4132h
COP1toOP3            equ 4135h
COP1toOP4            equ 4138h
COP1toOP5            equ 413Bh
COP1toOP6            equ 413Eh
COP1toDE             equ 4141h
COP2toOP1            equ 4144h
COP2toOP3            equ 4147h
COP2toOP4            equ 414Ah
COP2toOP5            equ 414Dh
COP2toOP6            equ 4150h
COP2toDE             equ 4153h
COP3toOP1            equ 4156h
COP3toOP2            equ 4159h
COP3toOP4            equ 415Ch
COP3toOP5            equ 415Fh
COP3toOP6            equ 4162h
COP3toDE             equ 4165h
COP4toOP1            equ 4168h
COP4toOP2            equ 416Bh
COP4toOP3            equ 416Eh
COP4toOP5            equ 4171h
COP4toOP6            equ 4174h
COP4toDE             equ 4177h
COP5toOP1            equ 417Ah
COP5toOP2            equ 417Dh
COP5toOP3            equ 4180h
COP5toOP4            equ 4183h
COP5toOP6            equ 4186h
COP5toDE             equ 4189h
COP6toOP1            equ 418Ch
COP6toOP2            equ 418Fh
COP6toOP3            equ 4192h
COP6toOP4            equ 4195h
COP6toOP5            equ 4198h
COP6toDE             equ 419Bh
HLtoOP1              equ 419Eh
HLtoOP2              equ 41A1h
HLtoOP3              equ 41A4h
HLtoOP4              equ 41A7h
HLtoOP5              equ 41AAh
HLtoOP6              equ 41ADh
Copy9B               equ 41B0h
;====================
;Memory
;====================
MakeAnsList          equ 40ABh
MakeAnsStrX          equ 40BDh
;====================
;Link
;====================
PlayNote(HL)         equ 4111h
PlayNoteA            equ 4114h
;====================
;Miscellaneous
;====================
HardExit1            equ 40B4h
BatLibInstall        equ 41ECh
_BAD_NUMBER          equ 41F2h      ;Makes a Temp String with ".BAD INPUT" in the name. The name of the string is in OP2. It then exits using HardExit1.
_BAD_INPUT           equ 41F5h      ;Read above.
_BAD_NAME            equ 41F8h      ;Read above.
_NO_DATA             equ 41FBh      ;Read above.
_TOO_BIG             equ 41FEh      ;Read above.
_LOW_MEM             equ 4201h      ;Read above.
_BAD_X               equ 4204h      ;Read above.
_BAD_Y               equ 4207h      ;Read above.
_WIDTH               equ 420Ah      ;Read above.
_HEIGHT              equ 420Dh      ;Read above.
MakeErrString        equ 4210h      ;Inputs: HL points to a string; C is the length. It then stores the string in a temp string named in OP2 and then uses HardExit1.
ParseHookExit        equ 421Ch      ;Loads 2 bytes at Parser1 into HL and loads Parser1+2 into A. It then jumps to HL on page A if A is not 0. Used for chaining parser hooks (hence the name) :P
;


;======================================================================
; Ram equates for SpriteLib
;======================================================================
;
ArgCount             equ  84A8h
ArgLoc               equ  84AAh
SPReset              equ  84ACh
TempWord1            equ  84AEh
TempWord2            equ  84B0h
TempWord3            equ  84B2h
TempWord4            equ  84B4h
TempWord5            equ  84B6h
TempWord6            equ  84B8h
SavePage             equ  8000h